org.apache.tomcat.util.modeler.modules

## Class MbeansDescriptorsDOMSource

- java.lang.Object
- - org.apache.tomcat.util.modeler.modules.ModelerSource
  - - org.apache.tomcat.util.modeler.modules.MbeansDescriptorsDOMSource

- Deprecated.
  Unused: Will be removed in Tomcat 8.0.x

      @Deprecated
      public class MbeansDescriptorsDOMSource
      extends ModelerSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MbeansDescriptorsDOMSource()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Deprecated.
    `List<ObjectName>` | `loadDescriptors(Registry registry, String type, Object source)` Deprecated.
    `void` | `setLocation(String loc)` Deprecated.
    `void` | `setRegistry(Registry reg)` Deprecated.
    `void` | `setSource(Object source)` Deprecated.
    `void` | `setType(String type)` Deprecated. Used if a single component is loaded

    - ### Methods inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource

      `getInputStream, loadDescriptors, store, updateField`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MbeansDescriptorsDOMSource

          public MbeansDescriptorsDOMSource()

      Deprecated.

  - ### Method Detail

    - #### setRegistry

          public void setRegistry(Registry reg)

      Deprecated.

    - #### setLocation

          public void setLocation(String loc)

      Deprecated.

    - #### setType

          public void setType(String type)

      Deprecated.
      Used if a single component is loaded
      Parameters:
        `type` -

    - #### setSource

          public void setSource(Object source)

      Deprecated.

    - #### loadDescriptors

          public List<ObjectName> loadDescriptors(Registry registry,
                                         String type,
                                         Object source)
                                           throws Exception

      Deprecated.
      Specified by:
        `loadDescriptors` in class `ModelerSource`
      Throws:
        `Exception`

    - #### execute

          public void execute()
                       throws Exception

      Deprecated.
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.